不知道什么问题

为当前最终发行版之前的所有版本提供支持
回复
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

不知道什么问题

#1

帖子 zhan » 2006-04-05 22:01

很奇怪的问题,貌似运行很多gtk程序时出现的报错:
**** Pango-WARNING **: Error loading GPOS table 4097
至少有Emacs,Acroread,meld,gmplayer等程序,谁晓得是什么原因?
在网上google了一把,没发现什么解决方法。
按照网上的指示试了下面的命令:
grep -l "Error loading GPOS" /usr/lib/*
输出是这样的:
/usr/lib/libpangoft2-1.0.a
/usr/lib/libpangoft2-1.0.so
/usr/lib/libpangoft2-1.0.so.0
/usr/lib/libpangoft2-1.0.so.0.1200.0
后面就不晓的怎么办了。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-04-05 22:13

就是这个包不对了。要看受影响的软件容易。新利得选择删除libpango1.0-0,看提示那些要一起删除的,这些软件就都受此包的影响。

$ dpkg -S libpangoft2
libpango1.0-0: /usr/lib/libpangoft2-1.0.so.0.1200.0
libpango1.0-0: /usr/lib/libpangoft2-1.0.so.0

可以试试重新安装libpango1.0-0。看什么现象。
● 鸣学
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 zhan » 2006-04-06 12:09

今天发现问题出在文泉驿的那个ttf字体上,就是0.6.9update2中的那个ttf,按照置顶帖的办法安装的,装在~/.fonts 中了,只要把它的目录从fonts.conf中去掉就没有这个问题了,但是这样的话,字体就变丑了。出来一个怪怪的东西,但是没有这个提示了。是不是安装字体的过程中出了什么问题,还有,那个ttf是不是安装文泉驿字体时必须的?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2006-04-06 20:19

文泉译字体,源里面有。其他的方法和说明现在都不要。
● 鸣学
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 zhan » 2006-04-06 20:56

源里面确实有,但是是0.60版的,没有英文粗体,所以用了置顶的“终极测试”。
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 zhan » 2006-04-06 21:35

是我过时了,加上了中文的源,安装了文泉驿0.6.9update2后好了。
field
帖子: 156
注册时间: 2005-05-31 19:32
送出感谢: 0
接收感谢: 0

#7

帖子 field » 2007-10-26 10:35

我在启动emacs23时也出现这个提示:
(emacs:418): Pango-WARNING **: Error loading GPOS table 4097

我在源里没有找到wqy字体的update2,哪个源有?
回复

回到 “老旧版本支持”